<?php
echo "Nom du fichier : ";
fscanf(STDIN,"%s",$NomF);
$NomF="Sauvegardes/".$NomF;
$f1=fopen($NomF, "r"); //ouverture en lecture
echo "Fichier lu : $NomF".PHP_EOL;
// --- boucle de chargement du fichier ---
while ($Tab_Info=fscanf($f1,"%d\t%s\t%s\t%d"))
{ list($ID,$nom,$prenom,$age) = $Tab_Info;
  // rangement dans le tableau des personnes
  $tab_personnes[$ID]=array($nom,$prenom,$age) ;
}
fclose($f1); // fermeture du fichier
// -- Affichage du tableau ---
echo "----------------------------------".PHP_EOL;
echo "ID\tNom\tPrénom\tAge".PHP_EOL;
echo "----------------------------------".PHP_EOL;
// --- boucle d'affichage du tableau ---
foreach($tab_personnes as $ID => $une_personne)
{list($nom,$prenom,$age) = $une_personne;
 echo "$ID\t$nom\t$prenom\t$age".PHP_EOL; 
}
echo "----------------------------------".PHP_EOL;
?>
